package it.sw.pa.comune.artegna.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class StrutturaTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2L * Integer.MAX_VALUE));
    private static final AtomicInteger intCount = new AtomicInteger(random.nextInt() + (2 * Short.MAX_VALUE));

    public static Struttura getStrutturaSample1() {
        return new Struttura().id(1L).nome("nome1").descrizione("descrizione1").indirizzo("indirizzo1").capienzaMax(1).fotoUrl("fotoUrl1");
    }

    public static Struttura getStrutturaSample2() {
        return new Struttura().id(2L).nome("nome2").descrizione("descrizione2").indirizzo("indirizzo2").capienzaMax(2).fotoUrl("fotoUrl2");
    }

    public static Struttura getStrutturaRandomSampleGenerator() {
        return new Struttura()
            .id(longCount.incrementAndGet())
            .nome(UUID.randomUUID().toString())
            .descrizione(UUID.randomUUID().toString())
            .indirizzo(UUID.randomUUID().toString())
            .capienzaMax(intCount.incrementAndGet())
            .fotoUrl(UUID.randomUUID().toString());
    }
}
